Package org.apache.sling.api.wrappers

# Class ModifiableValueMapDecorator

java.lang.Object
org.apache.sling.api.wrappers.ValueMapDecorator
org.apache.sling.api.wrappers.ModifiableValueMapDecorator

All Implemented Interfaces:
  `Map<String,Object>`, `ModifiableValueMap`, `ValueMap`

public class ModifiableValueMapDecorator extends ValueMapDecorator implements ModifiableValueMap
`ModifiableValueMapDecorator` decorates another `Map` to provide a basic implementation for the additional methods of a `ModifiableValueMap`.

Since:
  2.2 (Sling API Bundle 2.7.0)

## Nested Class Summary

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K extends Object,V extends Object>`

## Field Summary

### Fields inherited from interface org.apache.sling.api.resource.ValueMap

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`ModifiableValueMapDecorator(Map<String,Object> base)`
Creates a new wrapper around a given map.

## Method Summary

### Methods inherited from class org.apache.sling.api.wrappers.ValueMapDecorator

`clear, containsKey, containsValue, entrySet, equals, get, get, get, hashCode, isEmpty, keySet, put, putAll, remove, size, toString, values`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from interface org.apache.sling.api.resource.ValueMap

`get, get`

## Constructor Details

### ModifiableValueMapDecorator

public ModifiableValueMapDecorator(Map<String,Object> base)
Creates a new wrapper around a given map.

Parameters:
  `base` - wrapped object